Skip to main content
POST
/
channels
/
{myshopifyDomain}
/
collabs
/
{collabId}
Update Channel Collab
curl --request POST \
  --url https://unified-api.creatorcommerce.shop/channels/{myshopifyDomain}/collabs/{collabId} \
  --header 'Content-Type: application/json' \
  --header 'x-channel-access-token: <api-key>' \
  --data '
{
  "creator": {
    "email": "kenyon+test48548sep641@creatorcommerce.shop",
    "firstName": "Qeptio",
    "lastName": "Hombre",
    "shop": {
      "theme": {
        "primaryColor": "#66ccff"
      },
      "title": "test tiles"
    }
  },
  "affiliateCode": "NEWCODE",
  "affiliateUrl": "https://example.com/NEWCODE",
  "drops": [
    "68d4bd5c7796e248a07dfbf2",
    "68d4be997796e248a07dfc1a"
  ],
  "custom": {
    "cc-ken-short-form": "cc-test1",
    "cc-cc-ken-long-form": "Hey everyone this is a super long field"
  }
}
'
{
  "collab": {
    "_id": "68d482d502627cba69150a33",
    "channel": "67a93e156cc51f6c4e878e0c",
    "creator": "68d4828e02627cba69144aa2",
    "affiliateCode": "NEWCODE",
    "affiliateUrl": "https://example.com/NEWCODE",
    "collabTier": "68d46d30d78da92db6cad276",
    "drops": [
      "68d4bd5c7796e248a07dfbf2",
      "68d4be997796e248a07dfc1a"
    ],
    "relationshipManager": "creatorcommerce",
    "updatedAt": "2026-02-21T00:30:14.127Z"
  }
}

Authorizations

x-channel-access-token
string
header
required

Channel or partner access token (x-channel-access-token or x-partner-access-token)

Path Parameters

myshopifyDomain
string
required

The Shopify domain

Example:

"cc-collabs-sandbox.myshopify.com"

collabId
string
required

The collab ID

Example:

"68d482d502627cba69150a33"

Body

application/json
creator
object
affiliateCode
string
affiliateUrl
string<uri>
drops
string[]

Array of drop IDs for reordering

custom
object

Custom fields for the collab

Response

Successfully updated channel collab

collab
object